summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorgumi <git@gumi.ca>2018-07-17 14:57:01 -0400
committergumi <git@gumi.ca>2018-07-17 14:57:01 -0400
commitef69e2f046022ea7a97e70aca7292b7e45907585 (patch)
tree40c3e7a70c2966464e222c4fac0d66e7e36250b0
parent4f3c38251baf10e1ed36ac487c8f26c0021e4e69 (diff)
downloadtools-ef69e2f046022ea7a97e70aca7292b7e45907585.tar.gz
tools-ef69e2f046022ea7a97e70aca7292b7e45907585.tar.bz2
tools-ef69e2f046022ea7a97e70aca7292b7e45907585.tar.xz
tools-ef69e2f046022ea7a97e70aca7292b7e45907585.zip
remove "legacy" wording from the updater
-rwxr-xr-xclient/make-updates.sh30
1 files changed, 15 insertions, 15 deletions
diff --git a/client/make-updates.sh b/client/make-updates.sh
index 64c4ecb..04fb934 100755
--- a/client/make-updates.sh
+++ b/client/make-updates.sh
@@ -51,8 +51,8 @@ mkdir -pv $cdata/music
echo -e "\e[96m>> Removing leftovers...\e[0m"
rm -rv files/* 2>/dev/null || :
-rm -v $UPDATE_DIR/Legacy.zip 2>/dev/null || :
-rm -v $UPDATE_DIR/Legacy-music.zip 2>/dev/null || :
+rm -v $UPDATE_DIR/TMW.zip 2>/dev/null || :
+rm -v $UPDATE_DIR/TMW-music.zip 2>/dev/null || :
rm -v $UPDATE_DIR/resources.xml 2>/dev/null || :
rm -v $UPDATE_DIR/resources2.txt 2>/dev/null || : # Legacy: used by mana client
@@ -65,37 +65,37 @@ if [ "$UPDATE_HTTP" == "none" ] ; then
fi
echo -e "\e[96m>> Compressing files...\e[0m"
-find -path ./music -prune -o -iregex ".+[.]\(xml\|png\|tmx\|ogg\|txt\|po\|tsx\)" -printf "%P\n" | zip -X -@ $dir/files/Legacy.zip
-find -path ./sfx -prune -o -iregex ".+[.]\(ogg\)" -printf "%P\n" | zip -X -@ $dir/files/Legacy-music.zip
-touch $dir/files/Legacy-music.zip
+find -path ./music -prune -o -iregex ".+[.]\(xml\|png\|tmx\|ogg\|txt\|po\|tsx\)" -printf "%P\n" | zip -X -@ $dir/files/TMW.zip
+find -path ./sfx -prune -o -iregex ".+[.]\(ogg\)" -printf "%P\n" | zip -X -@ $dir/files/TMW-music.zip
+touch $dir/files/TMW-music.zip
echo -e "\e[96m>> Calculating adler32 checksum...\e[0m"
pushd $dir/files &>/dev/null
-sum=`../adler32 1 Legacy.zip`
-musicsum=`../adler32 1 Legacy-music.zip`
+sum=`../adler32 1 TMW.zip`
+musicsum=`../adler32 1 TMW-music.zip`
echo -e "\e[96m>> Generating xml file...\e[0m"
echo "<?xml version=\"1.0\"?><updates>" >resources.xml
-echo "<update type=\"data\" file=\"Legacy.zip\" hash=\"${sum}\"/>" >>resources.xml
-echo "<update type=\"music\" required=\"no\" file=\"Legacy-music.zip\" hash=\"${musicsum}\" description=\"TMW music\"/>" >>resources.xml
+echo "<update type=\"data\" file=\"TMW.zip\" hash=\"${sum}\"/>" >>resources.xml
+echo "<update type=\"music\" required=\"no\" file=\"TMW-music.zip\" hash=\"${musicsum}\" description=\"TMW music\"/>" >>resources.xml
echo "</updates>" >>resources.xml
echo -e "\e[96m>> Moving stuff around...\e[0m"
-cp -v Legacy.zip $UPDATE_DIR/
-cp -v Legacy-music.zip $UPDATE_DIR/
+cp -v TMW.zip $UPDATE_DIR/
+cp -v TMW-music.zip $UPDATE_DIR/
cp -v resources.xml $UPDATE_DIR/
echo -e "\e[96m>> Giving read permissions...\e[0m"
pushd $UPDATE_DIR &>/dev/null
-chmod a+r Legacy.zip
-chmod a+r Legacy-music.zip
+chmod a+r TMW.zip
+chmod a+r TMW-music.zip
chmod a+r resources.xml
if [ "$UPDATE_HTTP" != "none" ] ; then
echo
echo -e "\e[96m>> Checking updates...\e[0m"
- check_update "$UPDATE_HTTP/Legacy.zip"
- check_update "$UPDATE_HTTP/Legacy-music.zip"
+ check_update "$UPDATE_HTTP/TMW.zip"
+ check_update "$UPDATE_HTTP/TMW-music.zip"
check_update "$UPDATE_HTTP/resources.xml"
check_update "$UPDATE_HTTP/news.php"
fi